POST api/bagapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
BagViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| bag_status_id | globally unique identifier |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| code | integer |
Required |
|
| date_hu | date |
None. |
|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
Required |
|
| wash_count | integer |
None. |
|
| position | integer |
None. |
|
| pc_id | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"bag_status_id": "dea9228d-71aa-4535-8813-132d3f2c89f5",
"cleanroom_type_id": "80042ddd-6349-4331-b890-1a418192343f",
"code": 3,
"date_hu": "2026-03-07T07:33:57.3701785+00:00",
"id": "cbe20104-f6bb-474a-b922-f4c8a136f859",
"site_id": "6ba07d2a-6adb-4224-9d56-8f02515a5864",
"wash_count": 6,
"position": 7,
"pc_id": "008c4b38-a6a9-4e64-b648-49c852db58b1"
}
application/xml, text/xml
Sample:
<bag xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <bag_status_id>dea9228d-71aa-4535-8813-132d3f2c89f5</bag_status_id> <cleanroom_type_id>80042ddd-6349-4331-b890-1a418192343f</cleanroom_type_id> <code>3</code> <date_hu>2026-03-07T07:33:57.3701785+00:00</date_hu> <id>cbe20104-f6bb-474a-b922-f4c8a136f859</id> <pc_id>008c4b38-a6a9-4e64-b648-49c852db58b1</pc_id> <position>7</position> <site_id>6ba07d2a-6adb-4224-9d56-8f02515a5864</site_id> <wash_count>6</wash_count> </bag>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"ad506e2c-1061-4c96-afa7-af5bc3c33b99"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">ad506e2c-1061-4c96-afa7-af5bc3c33b99</guid>